# Badge

<!-- This file is generated automatically and cannot be edited directly. Make edits via TypeScript types and TSDocs. -->

🔒 This component is locked as a [private API](https://developer.wordpress.org/block-editor/reference-guides/packages/packages-private-apis/). We do not yet recommend using this outside of the Gutenberg project.

<p class="callout callout-info">See the <a href="https://wordpress.github.io/gutenberg/?path=/docs/components-badge--docs">WordPress Storybook</a> for more detailed, interactive documentation.</p>

## Props

### `children`

 - Type: `string`
 - Required: Yes

Text to display inside the badge.

### `intent`

 - Type: `"default" | "info" | "success" | "warning" | "error"`
 - Required: No
 - Default: `default`

Badge variant.
